function ItemLookupper() {
	this.itemLookupUrl = './itemLookup.php';
	this.priceLookupUrl = './priceLookup.php?item_id=';
	this.onItemLookupSuccess = null;
	this.onPriceLookupSuccess = null;
	this.xmlhttp = null;
}


ItemLookupper.prototype = {
	/**
	 * Get item list information
	 */
	itemLookup: function (){
		var self = this;
		try {
			this.xmlhttp = new XMLHttpRequest();
		} catch(e){
			try {
				this.xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
			} catch(e){
				try {
					this.xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
				} catch(e){
					return false;
				}
			}
		}
		this.xmlhttp.open('GET', this.itemLookupUrl, true);
		this.xmlhttp.setRequestHeader("Content-Type" , "application/x-www-form-urlencoded:charset=UTF-8");
		this.xmlhttp.onreadystatechange = this.onItemLookup.bind(self);
		this.xmlhttp.send(null);
	},
	/**
	 * This is callback function as itemLookup
	 */
	onItemLookup : function(){
		if ( this.onItemLookupSuccess == null )	return;
		if ( this.xmlhttp.readyState == 4 && this.xmlhttp.status == 200 ){
			this.onItemLookupSuccess(eval("[" + this.xmlhttp.responseText + "]"));
		}
	},

	/**
	 * Get price information
	 */
	priceLookup: function (itemId){
		var self = this;
		try {
			this.xmlhttp = new XMLHttpRequest();
		} catch(e){
			try {
				this.xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
			} catch(e){
				try {
					this.xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
				} catch(e){
					return false;
				}
			}
		}
		this.xmlhttp.open('GET', this.priceLookupUrl + itemId, true);
		this.xmlhttp.setRequestHeader("Content-Type" , "application/x-www-form-urlencoded:charset=UTF-8");
		this.xmlhttp.onreadystatechange = this.onPriceLookup.bind(self);
		this.xmlhttp.send(null);
	},
	/**
	 * This is callback function as priceLookup
	 */
	onPriceLookup : function(){
		if ( this.onPriceLookupSuccess == null )	return;
		if ( this.xmlhttp.readyState == 4 && this.xmlhttp.status == 200 ){
			var item = JSON.parse(this.xmlhttp.responseText);
			this.onPriceLookupSuccess(item);
		}
	}
};
